diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/build-support/test-files/test-src-dependent-on-contrib/examples/source-example.cc ns-3.44/build-support/test-files/test-src-dependent-on-contrib/examples/source-example.cc
--- ns-3.43/build-support/test-files/test-src-dependent-on-contrib/examples/source-example.cc	2024-10-09 16:41:09.764655400 -0700
+++ ns-3.44/build-support/test-files/test-src-dependent-on-contrib/examples/source-example.cc	2025-03-09 16:55:49.235370600 -0700
@@ -1,4 +1,4 @@
-#include <ns3/src-header.h>
+#include "ns3/src-header.h"
 
 int
 main()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/build-support/test-files/test-src-dependent-on-contrib/src-source.cc ns-3.44/build-support/test-files/test-src-dependent-on-contrib/src-source.cc
--- ns-3.43/build-support/test-files/test-src-dependent-on-contrib/src-source.cc	2024-10-09 16:41:09.764655400 -0700
+++ ns-3.44/build-support/test-files/test-src-dependent-on-contrib/src-source.cc	2025-03-09 16:55:49.235370600 -0700
@@ -1,4 +1,4 @@
-#include <ns3/contrib-header.h>
+#include "ns3/contrib-header.h"
 
 void
 testPrint2()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/.clang-format ns-3.44/.clang-format
--- ns-3.43/.clang-format	2024-10-09 16:41:09.752655300 -0700
+++ ns-3.44/.clang-format	2025-03-09 16:55:49.223370600 -0700
@@ -21,6 +21,7 @@
   - Regex: ".*"
     Priority: 1
     SortPriority: 0
+InsertBraces: true
 KeepEmptyLinesAtTheStartOfBlocks: false
 PackConstructorInitializers: Never
 PointerAlignment: Left
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/.clang-tidy ns-3.44/.clang-tidy
--- ns-3.43/.clang-tidy	2024-10-09 16:41:09.752655300 -0700
+++ ns-3.44/.clang-tidy	2025-03-09 16:55:49.223370600 -0700
@@ -34,7 +34,6 @@
   performance-inefficient-vector-operation,
   performance-trivially-destructible,
   performance-unnecessary-copy-initialization,
-  readability-braces-around-statements,
   readability-container-size-empty,
   readability-isolate-declaration,
   readability-make-member-function-const,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/CMakeLists.txt ns-3.44/CMakeLists.txt
--- ns-3.43/CMakeLists.txt	2024-10-09 16:41:09.756655500 -0700
+++ ns-3.44/CMakeLists.txt	2025-03-09 16:55:49.227370500 -0700
@@ -121,6 +121,18 @@
 # Scan contribution libraries
 subdirlist(contrib_libs_to_build ${CMAKE_CURRENT_SOURCE_DIR}/contrib)
 
+# Scan for additional contribution libraries OUTSIDE the ns-3 source directory,
+# in the ns-3-external-contrib directory
+if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../ns-3-external-contrib)
+  subdirlist(
+    external_contrib_libs_to_build
+    ${CMAKE_CURRENT_SOURCE_DIR}/../ns-3-external-contrib
+  )
+  set(contrib_libs_to_build ${contrib_libs_to_build}
+                            ${external_contrib_libs_to_build}
+  )
+endif()
+
 # Before filtering, we need to load settings from .ns3rc
 parse_ns3rc(
   ns3rc_enabled_modules ns3rc_disabled_modules ns3rc_examples_enabled
@@ -145,6 +157,18 @@
         ${CCACHE} --set-config
         sloppiness=pch_defines,time_macros,include_file_mtime,include_file_ctime
     )
+    if(DEFINED MSVC)
+      if(MSVC)
+        file(COPY_FILE ${CCACHE} ${CMAKE_BINARY_DIR}/clang-cl.exe
+             ONLY_IF_DIFFERENT
+        )
+        set(CMAKE_VS_GLOBALS
+            "CLToolExe=clang-cl.exe" "CLToolPath=${CMAKE_BINARY_DIR}"
+            "TrackFileAccess=false" "UseMultiToolTask=true"
+            "DebugInformationFormat=OldStyle"
+        )
+      endif()
+    endif()
   endif()
 endif()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/contributing/Makefile ns-3.44/doc/contributing/Makefile
--- ns-3.43/doc/contributing/Makefile	2024-10-09 16:41:09.764655400 -0700
+++ ns-3.44/doc/contributing/Makefile	2025-03-09 16:55:49.235370600 -0700
@@ -1,5 +1,8 @@
 # Makefile for Sphinx documentation
 #
+EPSTOPDF = epstopdf
+DIA = dia
+CONVERT = convert -density 300
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -W --keep-going
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/installation/Makefile ns-3.44/doc/installation/Makefile
--- ns-3.43/doc/installation/Makefile	2024-10-09 16:41:09.768655500 -0700
+++ ns-3.44/doc/installation/Makefile	2025-03-09 16:55:49.235370600 -0700
@@ -1,5 +1,8 @@
 # Makefile for Sphinx documentation
 #
+EPSTOPDF = epstopdf
+DIA = dia
+CONVERT = convert -density 300
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -W --keep-going
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/main.h ns-3.44/doc/main.h
--- ns-3.43/doc/main.h	2024-10-09 16:41:09.768655500 -0700
+++ ns-3.44/doc/main.h	2025-03-09 16:55:49.235370600 -0700
@@ -1,12 +1,12 @@
 /**
- * \file
+ * @file
  * Main page of the Doxygen-generated documentation.
  */
 
 /**
- * \mainpage ns-3 Documentation
+ * @mainpage ns-3 Documentation
  *
- * \section intro-sec Introduction
+ * @section intro-sec Introduction
  * <a href="http://www.nsnam.org/">ns-3</a> documentation is maintained using
  * <a href="http://www.doxygen.org">Doxygen</a>.
  * Doxygen is typically used for
@@ -16,10 +16,9 @@
  * can be found at the
  * <a href="http://www.nsnam.org/documentation/latest">project web site</a>.
  *
- * \section install-sec Building the Documentation
+ * @section install-sec Building the Documentation
  *
- * Building ns-3 Doxygen requires Doxygen version 1.8 at a minimum, but version 1.9 is recommended
- * to minimize warnings.
+ * Building ns-3 Doxygen requires Doxygen version 1.11
  *
  * Type "./ns3 docs doxygen" or "./ns3 docs doxygen-no-build" to build the
  *  documentation.  The doc/ directory contains
@@ -27,59 +26,21 @@
  * build process puts html files into the doc/html/ directory, and latex
  * filex into the doc/latex/ directory.
  *
- * \section module-sec Module overview
- *
- * The ns-3 library is split across many modules organized under the
- * <b><a href="modules.html">Modules</a></b> tab.
- *     - aodv
- *     - applications
- *     - bridge
- *     - click
- *     - config-store
- *     - core
- *     - csma
- *     - csma-layout
- *     - dsdv
- *     - emu
- *     - energy
- *     - flow-monitor
- *     - internet
- *     - lte
- *     - mesh
- *     - mobility
- *     - mpi
- *     - netanim
- *     - network
- *     - nix-vector-routing
- *     - ns3tcp
- *     - ns3wifi
- *     - olsr
- *     - openflow
- *     - point-to-point
- *     - point-to-point-layout
- *     - propagation
- *     - spectrum
- *     - stats
- *     - tap-bridge
- *     - traffic-control
- *     - test
- *     - topology-read
- *     - uan
- *     - virtual-net-device
- *     - visualizer
- *     - wifi
- *     - wimax
+ * @section topics-sec Doxygen groups
  *
+ * The ns-3 library is split across many modules, and the Doxygen for these modules is typically
+ * added to <a href ="https://www.doxygen.nl/manual/grouping.html">Doxygen groups</a>.
+ * These groupings can be browsed under the <b><a href="topics.html">Topics</a></b> tab.
  */
 
 /**
- * \namespace ns3
- * \brief Every class exported by the ns3 library is enclosed in the
+ * @namespace ns3
+ * @brief Every class exported by the ns3 library is enclosed in the
  * ns3 namespace.
  */
 
 /**
- * \name Macros defined by the build system.
+ * @name Macros defined by the build system.
  *
  * These have to be visible for doxygen to document them,
  * so we put them here in a file only seen by doxygen, not the compiler.
@@ -87,9 +48,9 @@
  * @{
  */
 /**
- * \ingroup assert
+ * @ingroup assert
  *
- * \def NS3_ASSERT_ENABLE
+ * @def NS3_ASSERT_ENABLE
  *
  * Enable asserts at compile time.
  *
@@ -98,9 +59,9 @@
 #define NS3_ASSERT_ENABLE
 
 /**
- * \ingroup logging
+ * @ingroup logging
  *
- * \def NS3_LOG_ENABLE
+ * @def NS3_LOG_ENABLE
  *
  * Enable logging at compile time.
  *
@@ -111,10 +72,10 @@
 /**@}*/
 
 /**
- * \page EnvironVar All Environment Variables
+ * @page EnvironVar All Environment Variables
  *
  * All environment variables used by ns-3 are documented by module.
  *
- * \section environcore Core Environment Variables
+ * @section environcore Core Environment Variables
  * See \ref core-environ
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/manual/Makefile ns-3.44/doc/manual/Makefile
--- ns-3.43/doc/manual/Makefile	2024-10-09 16:41:09.768655500 -0700
+++ ns-3.44/doc/manual/Makefile	2025-03-09 16:55:49.235370600 -0700
@@ -1,6 +1,6 @@
 EPSTOPDF = epstopdf
 DIA = dia
-CONVERT = convert
+CONVERT = convert -density 300
 
 SRC = ../../src
 # Temporary source directory, for build
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/models/Makefile ns-3.44/doc/models/Makefile
--- ns-3.43/doc/models/Makefile	2024-10-09 16:41:09.804655600 -0700
+++ ns-3.44/doc/models/Makefile	2025-03-09 16:55:49.275370600 -0700
@@ -1,6 +1,6 @@
 EPSTOPDF = epstopdf
 DIA = dia
-CONVERT = convert
+CONVERT = convert -density 300
 
 SRC = ../../src
 # Temporary source directory, for build
@@ -100,6 +100,7 @@
 	$(SRC)/flow-monitor/doc/flow-monitor.rst \
 	$(SRC)/sixlowpan/doc/sixlowpan.rst \
 	$(SRC)/lr-wpan/doc/lr-wpan.rst \
+	$(SRC)/zigbee/doc/zigbee.rst \
 
 # list all model library figure files that need to be copied to
 # $SOURCETEMP/figures.  For each figure to be included in all
@@ -148,6 +149,7 @@
 	$(SRC)/wifi/doc/source/figures/ack-su-format.png \
 	$(SRC)/wifi/doc/source/figures/assoc-manager.eps \
 	$(SRC)/wifi/doc/source/figures/emlsr-dl-txop.eps \
+	$(SRC)/wifi/doc/source/figures/emlsr-txop-ended-trace.eps \
 	$(SRC)/wifi/doc/source/figures/emlsr-ul-txop.eps \
 	$(SRC)/wifi/doc/source/figures/mu-bar.pdf \
 	$(SRC)/wifi/doc/source/figures/mu-bar.png \
@@ -370,7 +372,10 @@
 	$(SRC)/energy/doc/figures/leadacid.png \
 	$(SRC)/energy/doc/figures/liion.png \
 	$(SRC)/energy/doc/figures/nicd.png \
-	$(SRC)/energy/doc/figures/nimh.png
+	$(SRC)/energy/doc/figures/nimh.png \
+	$(SRC)/zigbee/doc/figures/zigbeeStackArch.dia \
+	$(SRC)/zigbee/doc/figures/manyToOne.dia \
+	$(SRC)/zigbee/doc/figures/mesh.dia
 
 # specify figures from which .png and .pdf figures need to be
 # generated (all dia and eps figures)
@@ -472,6 +477,7 @@
 	$(FIGURES)/clear-channel.eps \
 	$(FIGURES)/assoc-manager.eps \
 	$(FIGURES)/emlsr-dl-txop.eps \
+	$(FIGURES)/emlsr-txop-ended-trace.eps \
 	$(FIGURES)/emlsr-ul-txop.eps \
 	$(FIGURES)/nist-frame-success-rate.eps \
 	$(FIGURES)/nist-frame-success-rate-n.eps \
@@ -492,6 +498,9 @@
 	$(FIGURES)/lte-test-rlf-two-enb.eps \
 	$(FIGURES)/lena-radio-link-failure-one-enb.eps \
 	$(FIGURES)/lena-radio-link-failure-two-enb.eps \
+	$(FIGURES)/zigbeeStackArch.eps \
+	$(FIGURES)/manyToOne.eps \
+	$(FIGURES)/mesh.eps
 
 # rescale pdf figures as necessary
 $(FIGURES)/testbed.pdf_width = 5in
@@ -553,7 +562,11 @@
 $(FIGURES)/nist-frame-success-rate-ax.pdf_width = 12cm
 $(FIGURES)/assoc-manager.pdf_width = 12cm
 $(FIGURES)/emlsr-dl-txop.pdf_width = 12cm
+$(FIGURES)/emlsr-txop-ended-trace.pdf_width = 8cm
 $(FIGURES)/emlsr-ul-txop.pdf_width = 12cm
+$(FIGURES)/zigbeeStackArch.pdf_width = 6cm
+$(FIGURES)/manyToOne.pdf_width = 6cm
+$(FIGURES)/mesh.pdf_width = 6cm
 
 IMAGES_PNG = ${IMAGES_EPS:.eps=.png}
 IMAGES_PDF = ${IMAGES_EPS:.eps=.pdf}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/ns3_html_theme/layout.html.license ns-3.44/doc/ns3_html_theme/layout.html.license
--- ns-3.43/doc/ns3_html_theme/layout.html.license	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/doc/ns3_html_theme/layout.html.license	2025-03-09 16:55:49.275370600 -0700
@@ -0,0 +1,2 @@
+Copyright 2012 by ns-3
+SPDX-License-Identifier: GPL-2.0-only
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/ns3_html_theme/static/default.css_t.license ns-3.44/doc/ns3_html_theme/static/default.css_t.license
--- ns-3.43/doc/ns3_html_theme/static/default.css_t.license	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/doc/ns3_html_theme/static/default.css_t.license	2025-03-09 16:55:49.275370600 -0700
@@ -0,0 +1,2 @@
+Copyright 2007-2011 by the Sphinx team
+SPDX-License-Identifier: BSD-2-Clause
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/ns3_html_theme/static/drop-down-menu.js.license ns-3.44/doc/ns3_html_theme/static/drop-down-menu.js.license
--- ns-3.43/doc/ns3_html_theme/static/drop-down-menu.js.license	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/doc/ns3_html_theme/static/drop-down-menu.js.license	2025-03-09 16:55:49.275370600 -0700
@@ -0,0 +1,2 @@
+Copyright 2006-2007 javascript-array.com
+SPDX-License-Identifier: BSD-3-Clause
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/ns3_html_theme/static/sidebar.js.license ns-3.44/doc/ns3_html_theme/static/sidebar.js.license
--- ns-3.43/doc/ns3_html_theme/static/sidebar.js.license	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/doc/ns3_html_theme/static/sidebar.js.license	2025-03-09 16:55:49.275370600 -0700
@@ -0,0 +1,2 @@
+Copyright 2007-2011 by the Sphinx team
+SPDX-License-Identifier: BSD-2-Clause
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/doc/tutorial/Makefile ns-3.44/doc/tutorial/Makefile
--- ns-3.43/doc/tutorial/Makefile	2024-10-09 16:41:09.808655500 -0700
+++ ns-3.44/doc/tutorial/Makefile	2025-03-09 16:55:49.275370600 -0700
@@ -1,5 +1,8 @@
 # Makefile for Sphinx documentation
 #
+EPSTOPDF = epstopdf
+DIA = dia
+CONVERT = convert -density 300
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -W --keep-going
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/channel-models/three-gpp-v2v-channel-example.cc ns-3.44/examples/channel-models/three-gpp-v2v-channel-example.cc
--- ns-3.43/examples/channel-models/three-gpp-v2v-channel-example.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/channel-models/three-gpp-v2v-channel-example.cc	2025-03-09 16:55:49.331370800 -0700
@@ -47,7 +47,7 @@
 static Ptr<ChannelConditionModel> m_condModel; //!< the ChannelConditionModel object
 
 /*
- * \brief A structure that holds the parameters for the ComputeSnr
+ * @brief A structure that holds the parameters for the ComputeSnr
  * function. In this way the problem with the limited
  * number of parameters of method Schedule is avoided.
  */
@@ -63,9 +63,9 @@
 
 /**
  * Perform the beamforming using the DFT beamforming method
- * \param thisDevice the device performing the beamforming
- * \param thisAntenna the antenna object associated to thisDevice
- * \param otherDevice the device towards which point the beam
+ * @param thisDevice the device performing the beamforming
+ * @param thisAntenna the antenna object associated to thisDevice
+ * @param otherDevice the device towards which point the beam
  */
 static void
 DoBeamforming(Ptr<NetDevice> thisDevice,
@@ -87,7 +87,7 @@
 
 /**
  * Compute the average SNR
- * \param params A structure that holds a bunch of parameters needed by ComputSnr function to
+ * @param params A structure that holds a bunch of parameters needed by ComputSnr function to
  * calculate the average SNR
  */
 static void
@@ -138,7 +138,7 @@
 /**
  * Generates a GNU-plottable file representing the buildings deployed in the
  * scenario
- * \param filename the name of the output file
+ * @param filename the name of the output file
  */
 void
 PrintGnuplottableBuildingListToFile(std::string filename)
@@ -254,7 +254,7 @@
         double vRx = vScatt / 2;
         txMob = CreateObject<WaypointMobilityModel>();
         rxMob = CreateObject<WaypointMobilityModel>();
-        Time nextWaypoint = Seconds(0.0);
+        Time nextWaypoint;
         txMob->GetObject<WaypointMobilityModel>()->AddWaypoint(
             Waypoint(nextWaypoint, Vector(maxAxisX / 2 - streetWidth / 2, 1.0, 1.5)));
         nextWaypoint += Seconds((maxAxisY - streetWidth) / 2 / vTx);
@@ -264,7 +264,7 @@
         nextWaypoint += Seconds((maxAxisX - streetWidth) / 2 / vTx);
         txMob->GetObject<WaypointMobilityModel>()->AddWaypoint(
             Waypoint(nextWaypoint, Vector(0.0, maxAxisY / 2 - streetWidth / 2, 1.5)));
-        nextWaypoint = Seconds(0.0);
+        nextWaypoint = Seconds(0);
         rxMob->GetObject<WaypointMobilityModel>()->AddWaypoint(
             Waypoint(nextWaypoint, Vector(maxAxisX / 2 - streetWidth / 2, 0.0, 1.5)));
         nextWaypoint += Seconds(maxAxisY / vRx);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/energy/energy-model-example.cc ns-3.44/examples/energy/energy-model-example.cc
--- ns-3.43/examples/energy/energy-model-example.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/energy/energy-model-example.cc	2025-03-09 16:55:49.331370800 -0700
@@ -27,8 +27,8 @@
 /**
  * Print a received packet
  *
- * \param from sender address
- * \return a string with the details of the packet: dst {IP, port}, time.
+ * @param from sender address
+ * @return a string with the details of the packet: dst {IP, port}, time.
  */
 static inline std::string
 PrintReceivedPacket(Address& from)
@@ -43,7 +43,7 @@
 }
 
 /**
- * \param socket Pointer to socket.
+ * @param socket Pointer to socket.
  *
  * Packet receiving sink.
  */
@@ -62,11 +62,11 @@
 }
 
 /**
- * \param socket Pointer to socket.
- * \param pktSize Packet size.
- * \param n Pointer to node.
- * \param pktCount Number of packets to generate.
- * \param pktInterval Packet sending interval.
+ * @param socket Pointer to socket.
+ * @param pktSize Packet size.
+ * @param n Pointer to node.
+ * @param pktCount Number of packets to generate.
+ * @param pktInterval Packet sending interval.
  *
  * Traffic generator.
  */
@@ -97,8 +97,8 @@
 /**
  * Trace function for remaining energy at node.
  *
- * \param oldValue Old value
- * \param remainingEnergy New value
+ * @param oldValue Old value
+ * @param remainingEnergy New value
  */
 void
 RemainingEnergy(double oldValue, double remainingEnergy)
@@ -108,10 +108,10 @@
 }
 
 /**
- * \brief Trace function for total energy consumption at node.
+ * @brief Trace function for total energy consumption at node.
  *
- * \param oldValue Old value
- * \param totalEnergy New value
+ * @param oldValue Old value
+ * @param totalEnergy New value
  */
 void
 TotalEnergy(double oldValue, double totalEnergy)
@@ -275,7 +275,7 @@
                         numPackets,
                         interPacketInterval);
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
     Simulator::Run();
 
     for (auto iter = deviceModels.Begin(); iter != deviceModels.End(); iter++)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/energy/energy-model-with-harvesting-example.cc ns-3.44/examples/energy/energy-model-with-harvesting-example.cc
--- ns-3.43/examples/energy/energy-model-with-harvesting-example.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/energy/energy-model-with-harvesting-example.cc	2025-03-09 16:55:49.331370800 -0700
@@ -56,8 +56,8 @@
 /**
  * Print a received packet
  *
- * \param from sender address
- * \return a string with the details of the packet: dst {IP, port}, time.
+ * @param from sender address
+ * @return a string with the details of the packet: dst {IP, port}, time.
  */
 static inline std::string
 PrintReceivedPacket(Address& from)
@@ -72,7 +72,7 @@
 }
 
 /**
- * \param socket Pointer to socket.
+ * @param socket Pointer to socket.
  *
  * Packet receiving sink.
  */
@@ -91,11 +91,11 @@
 }
 
 /**
- * \param socket Pointer to socket.
- * \param pktSize Packet size.
- * \param n Pointer to node.
- * \param pktCount Number of packets to generate.
- * \param pktInterval Packet sending interval.
+ * @param socket Pointer to socket.
+ * @param pktSize Packet size.
+ * @param n Pointer to node.
+ * @param pktCount Number of packets to generate.
+ * @param pktInterval Packet sending interval.
  *
  * Traffic generator.
  */
@@ -126,8 +126,8 @@
 /**
  * Trace function for remaining energy at node.
  *
- * \param oldValue Old value
- * \param remainingEnergy New value
+ * @param oldValue Old value
+ * @param remainingEnergy New value
  */
 void
 RemainingEnergy(double oldValue, double remainingEnergy)
@@ -139,8 +139,8 @@
 /**
  * Trace function for total energy consumption at node.
  *
- * \param oldValue Old value
- * \param totalEnergy New value
+ * @param oldValue Old value
+ * @param totalEnergy New value
  */
 void
 TotalEnergy(double oldValue, double totalEnergy)
@@ -152,8 +152,8 @@
 /**
  * Trace function for the power harvested by the energy harvester.
  *
- * \param oldValue Old value
- * \param harvestedPower New value
+ * @param oldValue Old value
+ * @param harvestedPower New value
  */
 void
 HarvestedPower(double oldValue, double harvestedPower)
@@ -165,8 +165,8 @@
 /**
  * Trace function for the total energy harvested by the node.
  *
- * \param oldValue Old value
- * \param totalEnergyHarvested New value
+ * @param oldValue Old value
+ * @param totalEnergyHarvested New value
  */
 void
 TotalEnergyHarvested(double oldValue, double totalEnergyHarvested)
@@ -340,7 +340,7 @@
                         numPackets,
                         interPacketInterval);
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
     Simulator::Run();
 
     for (auto iter = deviceModels.Begin(); iter != deviceModels.End(); iter++)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/error-model/simple-error-model.cc ns-3.44/examples/error-model/simple-error-model.cc
--- ns-3.43/examples/error-model/simple-error-model.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/error-model/simple-error-model.cc	2025-03-09 16:55:49.331370800 -0700
@@ -112,27 +112,27 @@
                       Address(InetSocketAddress(i3i2.GetAddress(1), port)));
     onoff.SetConstantRate(DataRate("448kb/s"));
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(2));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a similar flow from n3 to n1, starting at time 1.1 seconds
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(i1i2.GetAddress(0), port)));
     apps = onoff.Install(c.Get(3));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     sink.SetAttribute("Local", AddressValue(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(1));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     //
     // Error model
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/fragmentation-ipv6.cc ns-3.44/examples/ipv6/fragmentation-ipv6.cc
--- ns-3.43/examples/ipv6/fragmentation-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/fragmentation-ipv6.cc	2025-03-09 16:55:49.331370800 -0700
@@ -91,13 +91,13 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(packetSize));
     echoClient.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
     ApplicationContainer clientApps = echoClient.Install(net1.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(20.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(20));
 
     UdpEchoServerHelper echoServer(42);
     ApplicationContainer serverApps = echoServer.Install(net2.Get(1));
-    serverApps.Start(Seconds(0.0));
-    serverApps.Stop(Seconds(30.0));
+    serverApps.Start(Seconds(0));
+    serverApps.Stop(Seconds(30));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("fragmentation-ipv6.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/fragmentation-ipv6-PMTU.cc ns-3.44/examples/ipv6/fragmentation-ipv6-PMTU.cc
--- ns-3.43/examples/ipv6/fragmentation-ipv6-PMTU.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/fragmentation-ipv6-PMTU.cc	2025-03-09 16:55:49.331370800 -0700
@@ -114,8 +114,8 @@
     // Create an UDP Echo server on n2
     UdpEchoServerHelper echoServer(42);
     ApplicationContainer serverApps = echoServer.Install(n2);
-    serverApps.Start(Seconds(0.0));
-    serverApps.Stop(Seconds(30.0));
+    serverApps.Start(Seconds(0));
+    serverApps.Stop(Seconds(30));
 
     uint32_t maxPacketCount = 5;
 
@@ -125,16 +125,16 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(packetSizeN1));
     echoClient.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
     ApplicationContainer clientAppsN1 = echoClient.Install(n1);
-    clientAppsN1.Start(Seconds(2.0));
-    clientAppsN1.Stop(Seconds(10.0));
+    clientAppsN1.Start(Seconds(2));
+    clientAppsN1.Stop(Seconds(10));
 
     // Create an UDP Echo client on n0 to send UDP packets to n2 via r0 and r1
     uint32_t packetSizeN2 = 4000; // Packet should fragment as intermediate link MTU is 1500
     echoClient.SetAttribute("PacketSize", UintegerValue(packetSizeN2));
     echoClient.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
     ApplicationContainer clientAppsN2 = echoClient.Install(n1);
-    clientAppsN2.Start(Seconds(11.0));
-    clientAppsN2.Stop(Seconds(20.0));
+    clientAppsN2.Start(Seconds(11));
+    clientAppsN2.Stop(Seconds(20));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("fragmentation-ipv6-PMTU.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/fragmentation-ipv6-two-MTU.cc ns-3.44/examples/ipv6/fragmentation-ipv6-two-MTU.cc
--- ns-3.43/examples/ipv6/fragmentation-ipv6-two-MTU.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/fragmentation-ipv6-two-MTU.cc	2025-03-09 16:55:49.331370800 -0700
@@ -94,13 +94,13 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(packetSize));
     echoClient.SetAttribute("MaxPackets", UintegerValue(maxPacketCount));
     ApplicationContainer clientApps = echoClient.Install(net1.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(20.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(20));
 
     UdpEchoServerHelper echoServer(42);
     ApplicationContainer serverApps = echoServer.Install(net2.Get(1));
-    serverApps.Start(Seconds(0.0));
-    serverApps.Stop(Seconds(30.0));
+    serverApps.Start(Seconds(0));
+    serverApps.Stop(Seconds(30));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("fragmentation-ipv6-two-mtu.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/icmpv6-redirect.cc ns-3.44/examples/ipv6/icmpv6-redirect.cc
--- ns-3.43/examples/ipv6/icmpv6-redirect.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/icmpv6-redirect.cc	2025-03-09 16:55:49.331370800 -0700
@@ -103,8 +103,8 @@
                             iic1.GetInterfaceIndex(1));
 
     Ptr<OutputStreamWrapper> routingStream = Create<OutputStreamWrapper>(&std::cout);
-    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(0.0), r1, routingStream);
-    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(3.0), sta1, routingStream);
+    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(0), r1, routingStream);
+    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(3), sta1, routingStream);
 
     NS_LOG_INFO("Create Applications.");
     uint32_t packetSize = 1024;
@@ -114,8 +114,8 @@
     ping.SetAttribute("Count", UintegerValue(maxPacketCount));
     ping.SetAttribute("Size", UintegerValue(packetSize));
     ApplicationContainer apps = ping.Install(sta1);
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("icmpv6-redirect.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/loose-routing-ipv6.cc ns-3.44/examples/ipv6/loose-routing-ipv6.cc
--- ns-3.43/examples/ipv6/loose-routing-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/loose-routing-ipv6.cc	2025-03-09 16:55:49.331370800 -0700
@@ -146,7 +146,7 @@
      */
     uint32_t packetSize = 1024;
     uint32_t maxPacketCount = 1;
-    Time interPacketInterval = Seconds(1.0);
+    Time interPacketInterval = Seconds(1);
 
     std::vector<Ipv6Address> routersAddress;
     routersAddress.push_back(i3.GetAddress(1, 1));
@@ -163,8 +163,8 @@
     ApplicationContainer apps = client.Install(h0);
     DynamicCast<Ping>(apps.Get(0))->SetRouters(routersAddress);
 
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(20.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(20));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("loose-routing-ipv6.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/ping6-example.cc ns-3.44/examples/ipv6/ping6-example.cc
--- ns-3.43/examples/ipv6/ping6-example.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/ping6-example.cc	2025-03-09 16:55:49.331370800 -0700
@@ -85,8 +85,8 @@
     ping.SetAttribute("InterfaceAddress", AddressValue(i.GetAddress(0, 0)));
 
     ApplicationContainer apps = ping.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("ping6.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/radvd-one-prefix.cc ns-3.44/examples/ipv6/radvd-one-prefix.cc
--- ns-3.43/examples/ipv6/radvd-one-prefix.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/radvd-one-prefix.cc	2025-03-09 16:55:49.331370800 -0700
@@ -114,8 +114,8 @@
     radvdHelper.GetRadvdInterface(iic2.GetInterfaceIndex(1))->SetSendAdvert(false);
 
     ApplicationContainer radvdApps = radvdHelper.Install(r);
-    radvdApps.Start(Seconds(1.0));
-    radvdApps.Stop(Seconds(10.0));
+    radvdApps.Start(Seconds(1));
+    radvdApps.Stop(Seconds(10));
 
     /* Create a Ping application to send ICMPv6 echo request from n0 to n1 via R */
     uint32_t packetSize = 1024;
@@ -126,8 +126,8 @@
     ping.SetAttribute("Count", UintegerValue(maxPacketCount));
     ping.SetAttribute("Size", UintegerValue(packetSize));
     ApplicationContainer apps = ping.Install(net1.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(7.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(7));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("radvd.tr"));
